Bug 1034778 - [abrt] git-cola-1.9.1-1.fc19: remote.py:540:action_completed:NameError: global name 'output' is not defined
Summary: [abrt] git-cola-1.9.1-1.fc19: remote.py:540:action_completed:NameError: globa...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git-cola (Show other bugs)
(Show other bugs)
Version: 19
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c281f48263e4ffe69cf01dc1004...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-26 13:43 UTC by Allan Poulsen
Modified: 2013-12-14 03:36 UTC (History)
3 users (show)

Fixed In Version: git-cola-1.9.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-07 06:56:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.41 KB, text/plain)
2013-11-26 13:43 UTC, Allan Poulsen
no flags Details
File: environ (1.91 KB, text/plain)
2013-11-26 13:43 UTC, Allan Poulsen
no flags Details

Description Allan Poulsen 2013-11-26 13:43:32 UTC
Description of problem:
I tried to pull from a repository that requires password autentication.

Version-Release number of selected component:
git-cola-1.9.1-1.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/bin/git-cola --prompt
executable:     /usr/bin/git-cola
kernel:         3.11.9-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            10004

Truncated backtrace:
remote.py:540:action_completed:NameError: global name 'output' is not defined

Traceback (most recent call last):
  File "/usr/share/git-cola/lib/cola/widgets/remote.py", line 540, in action_completed
    message=message, details=output)
NameError: global name 'output' is not defined

Local variables in innermost frame:
status: 1
already_up_to_date: u'Already up-to-date.'
task: <cola.widgets.remote.ActionTask object at 0x26f38c0>
err: u'ssh_askpass: exec(None): No such file or directory\r\nPermission denied, please try again.\r\nssh_askpass: exec(None): No such file or directory\r\nPermission denied, please try again.\r\nssh_askpass: exec(None): No such file or directory\r\nPermission denied (publickey,password).\r\nfatal: Could not read from remote repository.\n\nPlease make sure you have the correct access rights\nand the repository exists.\n'
self: <cola.widgets.remote.Pull object at 0x2517b00>
command: 'git pull'
message: u'"git pull" returned exit status 1\n\nAlready up-to-date.\n\nssh_askpass: exec(None): No such file or directory\r\nPermission denied, please try again.\r\nssh_askpass: exec(None): No such file or directory\r\nPermission denied, please try again.\r\nssh_askpass: exec(None): No such file or directory\r\nPermission denied (publickey,password).\r\nfatal: Could not read from remote repository.\n\nPlease make sure you have the correct access rights\nand the repository exists.\n'
out: u'Already up-to-date.'

Comment 1 Allan Poulsen 2013-11-26 13:43:42 UTC
Created attachment 829273 [details]
File: backtrace

Comment 2 Allan Poulsen 2013-11-26 13:43:46 UTC
Created attachment 829274 [details]
File: environ

Comment 3 David Aguilar 2013-11-28 04:09:40 UTC
This was fixed in git a bit ago.  It'll be in v1.9.2 (releasing now, so you should see the tag, etc shortly)

Comment 4 Fedora Update System 2013-11-28 07:24:34 UTC
git-cola-1.9.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/git-cola-1.9.2-1.fc20

Comment 5 Fedora Update System 2013-11-28 07:25:37 UTC
git-cola-1.9.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/git-cola-1.9.2-1.fc19

Comment 6 Fedora Update System 2013-11-29 11:36:11 UTC
git-cola-1.9.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/git-cola-1.9.2-1.fc18

Comment 7 Fedora Update System 2013-12-01 09:31:29 UTC
Package git-cola-1.9.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing git-cola-1.9.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22454/git-cola-1.9.2-1.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-12-07 06:56:06 UTC
git-cola-1.9.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-12-09 02:00:13 UTC
git-cola-1.9.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-12-14 03:36:27 UTC
git-cola-1.9.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.